public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/qt:master commit in: x11-libs/qt-webkit/files/, x11-libs/qt-webkit/
@ 2012-03-08 15:52 Davide Pesavento
  0 siblings, 0 replies; 5+ messages in thread
From: Davide Pesavento @ 2012-03-08 15:52 UTC (permalink / raw
  To: gentoo-commits

commit:     1907b6180810051526bc3c3fedf1cba16c99958d
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Thu Mar  8 15:51:42 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Thu Mar  8 15:51:42 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=1907b618

[x11-libs/qt-webkit] Sync with portage; delete obsolete patches.

(Portage version: 2.2.0_alpha90/git/Linux x86_64, unsigned Manifest commit)

---
 x11-libs/qt-webkit/files/kde-phonon.patch          |   28 ----
 .../files/qt-webkit-4.8.0-c++0x-fix.patch          |  101 -------------
 .../qt-webkit/files/sparc-qt-webkit-sigbus.patch   |  148 --------------------
 x11-libs/qt-webkit/metadata.xml                    |    1 -
 x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild       |   48 ++++---
 x11-libs/qt-webkit/qt-webkit-4.9999.ebuild         |   48 ++++---
 6 files changed, 52 insertions(+), 322 deletions(-)

diff --git a/x11-libs/qt-webkit/files/kde-phonon.patch b/x11-libs/qt-webkit/files/kde-phonon.patch
deleted file mode 100644
index d9284df..0000000
--- a/x11-libs/qt-webkit/files/kde-phonon.patch
+++ /dev/null
@@ -1,28 +0,0 @@
---- qt-x11-opensource-src-4.5.9999.orig/src/3rdparty/webkit/WebCore/WebCore.pro	2009-07-23 21:43:38.532334796 +0200
-+++ qt-x11-opensource-src-4.5.9999/src/3rdparty/webkit/WebCore/WebCore.pro	2009-07-23 21:57:20.547084194 +0200
-@@ -2,6 +2,8 @@
- CONFIG += building-libs
- CONFIG += depend_includepath
- include($$PWD/../WebKit.pri)
-+# include media-libs/phonon headers
-+INCLUDEPATH += /usr/include
- 
- TEMPLATE = lib
- TARGET = QtWebKit
---- qt-x11-opensource-src-4.5.9999.orig/src/3rdparty/webkit/WebCore/platform/graphics/qt/MediaPlayerPrivatePhonon.cpp	2009-07-23 21:43:38.899333887 +0200
-+++ qt-x11-opensource-src-4.5.9999/src/3rdparty/webkit/WebCore/platform/graphics/qt/MediaPlayerPrivatePhonon.cpp	2009-07-23 21:59:58.569084921 +0200
-@@ -36,9 +36,11 @@
- #include <QUrl>
- #include <QEvent>
- 
--#include <Phonon/AudioOutput>
--#include <Phonon/MediaObject>
--#include <Phonon/VideoWidget>
-+#include <phonon/mediaobject.h>
-+#include <phonon/mediasource.h>
-+#include <phonon/videowidget.h>
-+#include <phonon/audiooutput.h>
-+#include <phonon/medianode.h>
- 
- using namespace Phonon;
- 

diff --git a/x11-libs/qt-webkit/files/qt-webkit-4.8.0-c++0x-fix.patch b/x11-libs/qt-webkit/files/qt-webkit-4.8.0-c++0x-fix.patch
deleted file mode 100644
index 8213da4..0000000
--- a/x11-libs/qt-webkit/files/qt-webkit-4.8.0-c++0x-fix.patch
+++ /dev/null
@@ -1,101 +0,0 @@
-All this is needed for qt-webkit to build if c++0x use is enabled
-while using gcc-4.6 ...
-
-you also need to append -fpermissive to the compiler flags
---- src/3rdparty/javascriptcore/JavaScriptCore/wtf/TypeTraits.h
-+++ src/3rdparty/javascriptcore/JavaScriptCore/wtf/TypeTraits.h
-@@ -23,6 +23,7 @@
- #define TypeTraits_h
- 
- #include "Platform.h"
-+#include <tr1/memory>
- 
- #if (defined(__GLIBCXX__) && (__GLIBCXX__ >= 20070724) && defined(__GXX_EXPERIMENTAL_CXX0X__)) || (defined(_MSC_VER) && (_MSC_VER >= 1600))
- #include <type_traits>
---- src/3rdparty/webkit/Source/JavaScriptCore/wtf/TypeTraits.h
-+++ src/3rdparty/webkit/Source/JavaScriptCore/wtf/TypeTraits.h
-@@ -23,6 +23,7 @@
- #define TypeTraits_h
- 
- #include "Platform.h"
-+#include <tr1/memory>
- 
- #if (defined(__GLIBCXX__) && (__GLIBCXX__ >= 20070724) && defined(__GXX_EXPERIMENTAL_CXX0X__)) || (defined(_MSC_VER) && (_MSC_VER >= 1600))
- #include <type_traits>
---- src/3rdparty/webkit/Source/JavaScriptCore/bytecompiler/BytecodeGenerator.cpp
-+++ src/3rdparty/webkit/Source/JavaScriptCore/bytecompiler/BytecodeGenerator.cpp
-@@ -1106,7 +1106,7 @@ RegisterID* BytecodeGenerator::emitLoad(RegisterID* dst, double number)
-     // FIXME: Our hash tables won't hold infinity, so we make a new JSValue each time.
-     // Later we can do the extra work to handle that like the other cases.  They also don't
-     // work correctly with NaN as a key.
--    if (isnan(number) || number == HashTraits<double>::emptyValue() || HashTraits<double>::isDeletedValue(number))
-+    if (std::isnan(number) || number == HashTraits<double>::emptyValue() || HashTraits<double>::isDeletedValue(number))
-         return emitLoad(dst, jsNumber(number));
-     JSValue& valueInMap = m_numberMap.add(number, JSValue()).first->second;
-     if (!valueInMap)
---- src/3rdparty/webkit/Source/JavaScriptCore/wtf/MathExtras.h
-+++ src/3rdparty/webkit/Source/JavaScriptCore/wtf/MathExtras.h
-@@ -137,8 +137,10 @@ inline double trunc(double num) { return num > 0 ? floor(num) : ceil(num); }
- inline long long abs(long long num) { return _abs64(num); }
- #endif
- 
-+#ifndef __GXX_EXPERIMENTAL_CXX0X__
- inline bool isinf(double num) { return !_finite(num) && !_isnan(num); }
- inline bool isnan(double num) { return !!_isnan(num); }
-+#endif
- inline bool signbit(double num) { return _copysign(1.0, num) < 0; }
- 
- inline double nextafter(double x, double y) { return _nextafter(x, y); }
-@@ -240,8 +242,10 @@ inline int clampToInteger(unsigned value)
- 
- #if !COMPILER(MSVC) && !(COMPILER(RVCT) && PLATFORM(BREWMP)) && !OS(SOLARIS) && !OS(SYMBIAN)
- using std::isfinite;
-+#ifndef __GXX_EXPERIMENTAL_CXX0X__
- using std::isinf;
- using std::isnan;
-+#endif
- using std::signbit;
- #endif
- 
---- src/3rdparty/webkit/Source/WebCore/bindings/js/JSGeolocationCustom.cpp
-+++ src/3rdparty/webkit/Source/WebCore/bindings/js/JSGeolocationCustom.cpp
-@@ -80,7 +80,7 @@ static PassRefPtr<PositionOptions> createPositionOptions(ExecState* exec, JSValu
-         if (exec->hadException())
-             return 0;
-         // If the value is positive infinity, there's nothing to do.
--        if (!(isinf(timeoutNumber) && (timeoutNumber > 0))) {
-+        if (!(std::isinf(timeoutNumber) && (timeoutNumber > 0))) {
-             // Wrap to int32 and force non-negative to match behavior of window.setTimeout.
-             options->setTimeout(max(0, timeoutValue.toInt32(exec)));
-             if (exec->hadException())
-@@ -95,7 +95,7 @@ static PassRefPtr<PositionOptions> createPositionOptions(ExecState* exec, JSValu
-         double maximumAgeNumber = maximumAgeValue.toNumber(exec);
-         if (exec->hadException())
-             return 0;
--        if (isinf(maximumAgeNumber) && (maximumAgeNumber > 0)) {
-+        if (std::isinf(maximumAgeNumber) && (maximumAgeNumber > 0)) {
-             // If the value is positive infinity, clear maximumAge.
-             options->clearMaximumAge();
-         } else {
---- src/3rdparty/webkit/Source/WebCore/html/HTMLInputElement.cpp
-+++ src/3rdparty/webkit/Source/WebCore/html/HTMLInputElement.cpp
-@@ -332,7 +332,7 @@ void HTMLInputElement::applyStep(double count, ExceptionCode& ec)
-         return;
-     }
-     double newValue = current + step * count;
--    if (isinf(newValue)) {
-+    if (std::isinf(newValue)) {
-         ec = INVALID_STATE_ERR;
-         return;
-     }
---- src/3rdparty/webkit/Source/WebCore/html/NumberInputType.cpp
-+++ src/3rdparty/webkit/Source/WebCore/html/NumberInputType.cpp
-@@ -132,7 +132,7 @@ bool NumberInputType::stepMismatch(const String& value, double step) const
-     if (!parseToDoubleForNumberType(value, &doubleValue))
-         return false;
-     doubleValue = fabs(doubleValue - stepBase());
--    if (isinf(doubleValue))
-+    if (std::isinf(doubleValue))
-         return false;
-     // double's fractional part size is DBL_MAN_DIG-bit. If the current value
-     // is greater than step*2^DBL_MANT_DIG, the following computation for

diff --git a/x11-libs/qt-webkit/files/sparc-qt-webkit-sigbus.patch b/x11-libs/qt-webkit/files/sparc-qt-webkit-sigbus.patch
deleted file mode 100644
index 7bb297f..0000000
--- a/x11-libs/qt-webkit/files/sparc-qt-webkit-sigbus.patch
+++ /dev/null
@@ -1,148 +0,0 @@
-commit 11c220f6d31898a7a1dfafd5d96619fefe6ba597
-Author: Mike Hommey <glandium@debian.org>
-Date:   Sun Jul 6 10:37:28 2008 +0200
-
-    Fixed some alignment problems on sparc
-    
-    (and some that might occur on arm, too).
-    
-    Some compiler warnings about alignment remain, but I don't know if they are
-    a real problem yet.
-
-diff --git a/JavaScriptCore/wtf/FastMalloc.cpp b/JavaScriptCore/wtf/FastMalloc.cpp
-index 1ba1290..7f08646 100644
---- a/JavaScriptCore/wtf/FastMalloc.cpp
-+++ b/JavaScriptCore/wtf/FastMalloc.cpp
-@@ -1824,13 +1824,13 @@ static TCMalloc_Central_FreeListPadded central_cache[kNumClasses];
- 
- // Page-level allocator
- static SpinLock pageheap_lock = SPINLOCK_INITIALIZER;
--static void* pageheap_memory[(sizeof(TCMalloc_PageHeap) + sizeof(void*) - 1) / sizeof(void*)];
-+static uint64_t pageheap_memory[(sizeof(TCMalloc_PageHeap) + sizeof(uint64_t) - 1) / sizeof(uint64_t)];
- static bool phinited = false;
- 
- // Avoid extra level of indirection by making "pageheap" be just an alias
- // of pageheap_memory.
- typedef union {
--    void* m_memory;
-+    uint64_t* m_memory;
-     TCMalloc_PageHeap* m_pageHeap;
- } PageHeapUnion;
- 
-diff --git a/JavaScriptCore/wtf/ListHashSet.h b/JavaScriptCore/wtf/ListHashSet.h
-index 5aa13cd..ce09222 100644
---- a/JavaScriptCore/wtf/ListHashSet.h
-+++ b/JavaScriptCore/wtf/ListHashSet.h
-@@ -122,7 +122,7 @@ namespace WTF {
-             : m_freeList(pool())
-             , m_isDoneWithInitialFreeList(false)
-         { 
--            memset(m_pool.pool, 0, sizeof(m_pool.pool));
-+            memset(m_pool, 0, sizeof(m_pool));
-         }
- 
-         Node* allocate()
-@@ -166,7 +166,7 @@ namespace WTF {
-         }
- 
-     private:
--        Node* pool() { return reinterpret_cast<Node*>(m_pool.pool); }
-+        Node* pool() { return reinterpret_cast<Node*>(m_pool); }
-         Node* pastPool() { return pool() + m_poolSize; }
- 
-         bool inPool(Node* node)
-@@ -177,10 +177,7 @@ namespace WTF {
-         Node* m_freeList;
-         bool m_isDoneWithInitialFreeList;
-         static const size_t m_poolSize = 256;
--        union {
--            char pool[sizeof(Node) * m_poolSize];
--            double forAlignment;
--        } m_pool;
-+        uint32_t m_pool[(sizeof(Node) * m_poolSize + sizeof(uint32_t) - 1) / sizeof(uint32_t)];
-     };
- 
-     template<typename ValueArg> struct ListHashSetNode {
-diff --git a/JavaScriptCore/wtf/Platform.h b/JavaScriptCore/wtf/Platform.h
-index d935052..ce44c25 100644
---- a/JavaScriptCore/wtf/Platform.h
-+++ b/JavaScriptCore/wtf/Platform.h
-@@ -172,6 +172,23 @@
- #define WTF_PLATFORM_X86_64 1
- #endif
- 
-+/* PLATFORM(SPARC) */
-+#if   defined(__sparc__) \
-+   || defined(__sparc)
-+#define WTF_PLATFORM_SPARC 1
-+#define WTF_PLATFORM_BIG_ENDIAN 1
-+#endif
-+
-+/* For undefined platforms */
-+#if !defined(WTF_PLATFORM_BIG_ENDIAN) && !defined(WTF_PLATFORM_MIDDLE_ENDIAN)
-+#include <sys/param.h>
-+#if __BYTE_ORDER == __BIG_ENDIAN
-+#define WTF_PLATFORM_BIG_ENDIAN 1
-+#elif  __BYTE_ORDER == __PDP_ENDIAN
-+#define WTF_PLATFORM_MIDDLE_ENDIAN 1
-+#endif
-+#endif
-+
- /* Compiler */
- 
- /* COMPILER(MSVC) */
-diff --git a/JavaScriptCore/wtf/Vector.h b/JavaScriptCore/wtf/Vector.h
-index 41ab32c..671b20b 100644
---- a/JavaScriptCore/wtf/Vector.h
-+++ b/JavaScriptCore/wtf/Vector.h
-@@ -386,8 +386,7 @@ namespace WTF {
-         static const size_t m_inlineBufferSize = inlineCapacity * sizeof(T);
-         T* inlineBuffer() { return reinterpret_cast<T*>(&m_inlineBuffer); }
- 
--        // FIXME: Nothing guarantees this buffer is appropriately aligned to hold objects of type T.
--        char m_inlineBuffer[m_inlineBufferSize];
-+        uint64_t m_inlineBuffer[(m_inlineBufferSize + sizeof(uint64_t) - 1) / sizeof(uint64_t)];
-     };
- 
-     template<typename T, size_t inlineCapacity = 0>
-diff --git a/WebCore/platform/text/AtomicString.cpp b/WebCore/platform/text/AtomicString.cpp
-index d908dca..1460904 100644
---- a/WebCore/platform/text/AtomicString.cpp
-+++ b/WebCore/platform/text/AtomicString.cpp
-@@ -94,7 +94,7 @@ static inline bool equal(StringImpl* string, const UChar* characters, unsigned l
-     if (string->length() != length)
-         return false;
- 
--#if PLATFORM(ARM)
-+#if PLATFORM(ARM) || PLATFORM(SPARC)
-     const UChar* stringCharacters = string->characters();
-     for (unsigned i = 0; i != length; ++i) {
-         if (*stringCharacters++ != *characters++)
-diff --git a/WebCore/platform/text/StringHash.h b/WebCore/platform/text/StringHash.h
-index 1eba8c7..8e16b51 100644
---- a/WebCore/platform/text/StringHash.h
-+++ b/WebCore/platform/text/StringHash.h
-@@ -46,6 +46,15 @@ namespace WebCore {
-             if (aLength != bLength)
-                 return false;
- 
-+#if PLATFORM(ARM) || PLATFORM(SPARC)
-+            const UChar* aChars = a->characters();
-+            const UChar* bChars = b->characters();
-+            for (unsigned i = 0; i != aLength; ++i)
-+                if (*aChars++ != *bChars++)
-+                    return false;
-+
-+            return true;
-+#else
-             const uint32_t* aChars = reinterpret_cast<const uint32_t*>(a->characters());
-             const uint32_t* bChars = reinterpret_cast<const uint32_t*>(b->characters());
- 
-@@ -58,6 +67,7 @@ namespace WebCore {
-                 return false;
- 
-             return true;
-+#endif
-         }
- 
-         static unsigned hash(const RefPtr<StringImpl>& key) { return key->hash(); }

diff --git a/x11-libs/qt-webkit/metadata.xml b/x11-libs/qt-webkit/metadata.xml
index 411cdaa..96082a2 100644
--- a/x11-libs/qt-webkit/metadata.xml
+++ b/x11-libs/qt-webkit/metadata.xml
@@ -6,7 +6,6 @@
 		<flag name="exceptions">Add support for exceptions - like catching them
 			inside the event loop (recommended by Nokia)</flag>
 		<flag name="gstreamer">Enable HTML5 audio/video support via <pkg>media-libs/gstreamer</pkg></flag>
-		<flag name="kde">Select <pkg>media-sound/phonon</pkg> as phonon variant needed for kde</flag>
 		<flag name="jit">Enable JavaScriptCore just-in-time compiler for faster JavaScript execution</flag>
 		<flag name="c++0x">Build Qt using the C++11 standard</flag>
 		<flag name="qpa">Build a window system agnostic implementation of Qt</flag>

diff --git a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
index 755ab1b..bfeebbe 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
@@ -1,14 +1,15 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.7.4.ebuild,v 1.1 2011/09/08 09:22:47 wired Exp $
+# $Header: $
 
 EAPI="4"
+
 if [[ ${PV} == 4*9999 ]]; then
-    QT_ECLASS="-edge"
+	QT_ECLASS="-edge"
 fi
-inherit qt4-build${QT_ECLASS}
+inherit qt4-build${QT_ECLASS} flag-o-matic
 
-DESCRIPTION="The Webkit module for the Qt toolkit"
+DESCRIPTION="The WebKit module for the Qt toolkit"
 SLOT="4"
 if [[ ${PV} != 4*9999 ]]; then
 	KEYWORDS="~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
@@ -19,6 +20,8 @@ IUSE="+gstreamer +jit"
 
 DEPEND="
 	dev-db/sqlite:3
+	dev-libs/icu
+	x11-libs/libXrender
 	~x11-libs/qt-core-${PV}[aqua=,c++0x=,qpa=,debug=,ssl]
 	~x11-libs/qt-gui-${PV}[aqua=,c++0x=,qpa=,debug=]
 	~x11-libs/qt-xmlpatterns-${PV}[aqua=,c++0x=,qpa=,debug=]
@@ -29,15 +32,11 @@ DEPEND="
 	)"
 RDEPEND="${DEPEND}"
 
-if [[ ${PV} != 4*9999 ]]; then
-	PATCHES=( "${FILESDIR}/${P}-c++0x-fix.patch" )
-fi
-
 pkg_setup() {
 	QT4_TARGET_DIRECTORIES="
-		src/3rdparty/webkit/Source/JavaScriptCore/
-		src/3rdparty/webkit/Source/WebCore/
-		src/3rdparty/webkit/Source/WebKit/qt/
+		src/3rdparty/webkit/Source/JavaScriptCore
+		src/3rdparty/webkit/Source/WebCore
+		src/3rdparty/webkit/Source/WebKit/qt
 		tools/designer/src/plugins/qwebview"
 	if [[ ${PV} != 4*9999 ]]; then
 		QT4_EXTRACT_DIRECTORIES="
@@ -53,19 +52,24 @@ pkg_setup() {
 }
 
 src_prepare() {
-	[[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
-	use c++0x && append-flags -fpermissive
-	sed -i -e '/QMAKE_CXXFLAGS[[:blank:]]*+=/s:-Werror::g' \
-			src/3rdparty/webkit/Source/WebKit.pri || die
+	use c++0x && append-cxxflags -fpermissive
+
+	# Always enable icu to avoid build failure, bug 407315
+	sed -i -e '/CONFIG\s*+=\s*text_breaking_with_icu/ s:^#\s*::' \
+		src/3rdparty/webkit/Source/JavaScriptCore/JavaScriptCore.pri || die
+
+	sed -i -e '/QMAKE_CXXFLAGS\s*+=/ s:-Werror::g' \
+		src/3rdparty/webkit/Source/WebKit.pri || die
+
 	qt4-build${QT_ECLASS}_src_prepare
 }
 
 src_configure() {
-	# won't build with gcc 4.6 without this for now
-	myconf="${myconf}
-			-webkit -system-sqlite
-			$(qt_use jit javascript-jit)
-			-DENABLE_VIDEO=$(use gstreamer && echo 1 || echo 0)
-			-D GST_DISABLE_DEPRECATED"
+	myconf+="
+		-webkit
+		-icu -system-sqlite
+		$(qt_use jit javascript-jit)
+		$(use gstreamer || echo -DENABLE_VIDEO=0)
+	"
 	qt4-build${QT_ECLASS}_src_configure
 }

diff --git a/x11-libs/qt-webkit/qt-webkit-4.9999.ebuild b/x11-libs/qt-webkit/qt-webkit-4.9999.ebuild
index 755ab1b..bfeebbe 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.9999.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.9999.ebuild
@@ -1,14 +1,15 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.7.4.ebuild,v 1.1 2011/09/08 09:22:47 wired Exp $
+# $Header: $
 
 EAPI="4"
+
 if [[ ${PV} == 4*9999 ]]; then
-    QT_ECLASS="-edge"
+	QT_ECLASS="-edge"
 fi
-inherit qt4-build${QT_ECLASS}
+inherit qt4-build${QT_ECLASS} flag-o-matic
 
-DESCRIPTION="The Webkit module for the Qt toolkit"
+DESCRIPTION="The WebKit module for the Qt toolkit"
 SLOT="4"
 if [[ ${PV} != 4*9999 ]]; then
 	KEYWORDS="~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
@@ -19,6 +20,8 @@ IUSE="+gstreamer +jit"
 
 DEPEND="
 	dev-db/sqlite:3
+	dev-libs/icu
+	x11-libs/libXrender
 	~x11-libs/qt-core-${PV}[aqua=,c++0x=,qpa=,debug=,ssl]
 	~x11-libs/qt-gui-${PV}[aqua=,c++0x=,qpa=,debug=]
 	~x11-libs/qt-xmlpatterns-${PV}[aqua=,c++0x=,qpa=,debug=]
@@ -29,15 +32,11 @@ DEPEND="
 	)"
 RDEPEND="${DEPEND}"
 
-if [[ ${PV} != 4*9999 ]]; then
-	PATCHES=( "${FILESDIR}/${P}-c++0x-fix.patch" )
-fi
-
 pkg_setup() {
 	QT4_TARGET_DIRECTORIES="
-		src/3rdparty/webkit/Source/JavaScriptCore/
-		src/3rdparty/webkit/Source/WebCore/
-		src/3rdparty/webkit/Source/WebKit/qt/
+		src/3rdparty/webkit/Source/JavaScriptCore
+		src/3rdparty/webkit/Source/WebCore
+		src/3rdparty/webkit/Source/WebKit/qt
 		tools/designer/src/plugins/qwebview"
 	if [[ ${PV} != 4*9999 ]]; then
 		QT4_EXTRACT_DIRECTORIES="
@@ -53,19 +52,24 @@ pkg_setup() {
 }
 
 src_prepare() {
-	[[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
-	use c++0x && append-flags -fpermissive
-	sed -i -e '/QMAKE_CXXFLAGS[[:blank:]]*+=/s:-Werror::g' \
-			src/3rdparty/webkit/Source/WebKit.pri || die
+	use c++0x && append-cxxflags -fpermissive
+
+	# Always enable icu to avoid build failure, bug 407315
+	sed -i -e '/CONFIG\s*+=\s*text_breaking_with_icu/ s:^#\s*::' \
+		src/3rdparty/webkit/Source/JavaScriptCore/JavaScriptCore.pri || die
+
+	sed -i -e '/QMAKE_CXXFLAGS\s*+=/ s:-Werror::g' \
+		src/3rdparty/webkit/Source/WebKit.pri || die
+
 	qt4-build${QT_ECLASS}_src_prepare
 }
 
 src_configure() {
-	# won't build with gcc 4.6 without this for now
-	myconf="${myconf}
-			-webkit -system-sqlite
-			$(qt_use jit javascript-jit)
-			-DENABLE_VIDEO=$(use gstreamer && echo 1 || echo 0)
-			-D GST_DISABLE_DEPRECATED"
+	myconf+="
+		-webkit
+		-icu -system-sqlite
+		$(qt_use jit javascript-jit)
+		$(use gstreamer || echo -DENABLE_VIDEO=0)
+	"
 	qt4-build${QT_ECLASS}_src_configure
 }



^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/qt:master commit in: x11-libs/qt-webkit/files/, x11-libs/qt-webkit/
@ 2012-04-12 17:44 Michael Palimaka
  0 siblings, 0 replies; 5+ messages in thread
From: Michael Palimaka @ 2012-04-12 17:44 UTC (permalink / raw
  To: gentoo-commits

commit:     9ec23cc7f0eb66de144c0bf5613e5a52188b4161
Author:     Michael Palimaka <kensington <AT> astralcloak <DOT> net>
AuthorDate: Thu Apr 12 17:43:38 2012 +0000
Commit:     Michael Palimaka <kensington <AT> astralcloak <DOT> net>
CommitDate: Thu Apr 12 17:44:16 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=9ec23cc7

[x11-libs/qt-webkit] Sync with portage.

(Portage version: 2.1.10.56/git/Linux x86_64, unsigned Manifest commit)

---
 .../files/qt-webkit-4.8.1+glib-2.31.patch          |   30 ++++++++++++++++++++
 x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild       |   22 +++++++++-----
 2 files changed, 44 insertions(+), 8 deletions(-)

diff --git a/x11-libs/qt-webkit/files/qt-webkit-4.8.1+glib-2.31.patch b/x11-libs/qt-webkit/files/qt-webkit-4.8.1+glib-2.31.patch
new file mode 100644
index 0000000..ced3794
--- /dev/null
+++ b/x11-libs/qt-webkit/files/qt-webkit-4.8.1+glib-2.31.patch
@@ -0,0 +1,30 @@
+diff -Naur qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h
+--- qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h	2012-04-01 19:32:46.621395314 +0200
++++ qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h	2012-04-01 19:34:23.693181749 +0200
+@@ -24,6 +24,7 @@
+ 
+ #if ENABLE(GLIB_SUPPORT)
+ 
++#include <glib.h>
+ #include <algorithm>
+ #include <wtf/Assertions.h>
+ #include <wtf/Noncopyable.h>
+diff -Naur qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h
+--- qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h	2012-04-01 19:32:46.624395278 +0200
++++ qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h	2012-04-01 19:34:09.420360184 +0200
+@@ -39,7 +39,6 @@
+ typedef struct _GAsyncResult GAsyncResult;
+ typedef struct _GCancellable GCancellable;
+ typedef struct _GCharsetConverter GCharsetConverter;
+-typedef struct _GCond GCond;
+ typedef struct _GDir GDir;
+ typedef struct _GdkAtom* GdkAtom;
+ typedef struct _GdkCursor GdkCursor;
+@@ -52,7 +51,6 @@
+ typedef struct _GHashTable GHashTable;
+ typedef struct _GInputStream GInputStream;
+ typedef struct _GList GList;
+-typedef struct _GMutex GMutex;
+ typedef struct _GPatternSpec GPatternSpec;
+ typedef struct _GPollableOutputStream GPollableOutputStream;
+ typedef struct _GSocketClient GSocketClient;

diff --git a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
index 5201820..d0c597e 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
@@ -13,11 +13,12 @@ if [[ ${QT4_BUILD_TYPE} == live ]]; then
 else
 	KEYWORDS="~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
 fi
-IUSE="+gstreamer +jit"
+IUSE="+gstreamer +icu +jit"
+
+REQUIRED_USE="gstreamer? ( icu )" #407315
 
 DEPEND="
 	dev-db/sqlite:3
-	dev-libs/icu
 	x11-libs/libX11
 	x11-libs/libXrender
 	~x11-libs/qt-core-${PV}[aqua=,c++0x=,debug=,ssl,qpa=]
@@ -27,11 +28,14 @@ DEPEND="
 		dev-libs/glib:2
 		media-libs/gstreamer:0.10
 		media-libs/gst-plugins-base:0.10
-	)"
+	)
+	icu? ( dev-libs/icu )
+"
 RDEPEND="${DEPEND}"
 
 PATCHES=(
 	"${FILESDIR}/${PN}-4.8.0-c++0x-fix.patch"
+	"${FILESDIR}/${P}+glib-2.31.patch"
 )
 
 pkg_setup() {
@@ -59,21 +63,23 @@ src_prepare() {
 	sed -i -e 's/^isEmpty(QT_BUILD_TREE)://' \
 		src/3rdparty/webkit/Source/WebKit/qt/QtWebKit.pro || die
 
-	# Always enable icu to avoid build failure, bug 407315
-	sed -i -e '/CONFIG\s*+=\s*text_breaking_with_icu/ s:^#\s*::' \
-		src/3rdparty/webkit/Source/JavaScriptCore/JavaScriptCore.pri || die
-
 	# Remove -Werror from CXXFLAGS
 	sed -i -e '/QMAKE_CXXFLAGS\s*+=/ s:-Werror::g' \
 		src/3rdparty/webkit/Source/WebKit.pri || die
 
+	if use icu; then
+		sed -i -e '/CONFIG\s*+=\s*text_breaking_with_icu/ s:^#\s*::' \
+			src/3rdparty/webkit/Source/JavaScriptCore/JavaScriptCore.pri || die
+	fi
+
 	qt4-build_src_prepare
 }
 
 src_configure() {
 	myconf+="
 		-webkit
-		-icu -system-sqlite
+		-system-sqlite
+		$(qt_use icu)
 		$(qt_use jit javascript-jit)
 		$(use gstreamer || echo -DENABLE_VIDEO=0)"
 



^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/qt:master commit in: x11-libs/qt-webkit/files/, x11-libs/qt-webkit/
@ 2012-05-22 19:55 Michael Palimaka
  0 siblings, 0 replies; 5+ messages in thread
From: Michael Palimaka @ 2012-05-22 19:55 UTC (permalink / raw
  To: gentoo-commits

commit:     ddecfdc9da626d0fa0d8eb6afada13e75635d36e
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Tue May 22 19:54:28 2012 +0000
Commit:     Michael Palimaka <kensington <AT> astralcloak <DOT> net>
CommitDate: Tue May 22 19:54:28 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=ddecfdc9

[x11-libs/qt-webkit] Import patch from the main tree to fix building with GCC 4.7

(Portage version: 2.1.10.62/git/Linux x86_64, unsigned Manifest commit)

---
 .../files/qt-webkit-4.8.1-no-use-ld-gold.patch     |   17 +++++++++++++++++
 x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild       |    1 +
 2 files changed, 18 insertions(+), 0 deletions(-)

diff --git a/x11-libs/qt-webkit/files/qt-webkit-4.8.1-no-use-ld-gold.patch b/x11-libs/qt-webkit/files/qt-webkit-4.8.1-no-use-ld-gold.patch
new file mode 100644
index 0000000..d29d5da
--- /dev/null
+++ b/x11-libs/qt-webkit/files/qt-webkit-4.8.1-no-use-ld-gold.patch
@@ -0,0 +1,17 @@
+diff -urN qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/common.pri qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/common.pri
+--- qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/common.pri	2012-04-28 12:39:16.884473572 +0200
++++ qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/common.pri	2012-04-28 12:41:14.245006363 +0200
+@@ -3,13 +3,6 @@
+ contains(JAVASCRIPTCORE_JIT,yes): DEFINES+=ENABLE_JIT=1
+ contains(JAVASCRIPTCORE_JIT,no): DEFINES+=ENABLE_JIT=0
+ 
+-linux-g++ {
+-isEmpty($$(SBOX_DPKG_INST_ARCH)):exists(/usr/bin/ld.gold) {
+-    message(Using gold linker)
+-    QMAKE_LFLAGS+=-fuse-ld=gold
+-}
+-}
+-
+ # We use this flag on production branches
+ # See https://bugs.webkit.org/show_bug.cgi?id=60824
+ CONFIG += production

diff --git a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
index 70be3aa..15d2954 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
@@ -36,6 +36,7 @@ RDEPEND="${DEPEND}"
 PATCHES=(
 	"${FILESDIR}/${PN}-4.8.0-c++0x-fix.patch"
 	"${FILESDIR}/${PN}-4.8.1+glib-2.31.patch"
+	"${FILESDIR}/${PN}-4.8.1-no-use-ld-gold.patch"
 )
 
 pkg_setup() {



^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/qt:master commit in: x11-libs/qt-webkit/files/, x11-libs/qt-webkit/
@ 2012-07-08 14:56 Davide Pesavento
  0 siblings, 0 replies; 5+ messages in thread
From: Davide Pesavento @ 2012-07-08 14:56 UTC (permalink / raw
  To: gentoo-commits

commit:     a0a53ec318c331402c4561e680bc19d9c4c147cb
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Sun Jul  8 14:56:20 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Sun Jul  8 14:56:20 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=a0a53ec3

[x11-libs/qt-webkit:4] Stop applying obsolete patch (bug 425164).

The build failure with glib >= 2.31 has been fixed upstream.
Thanks to Andreas Sturmlechner for reporting.

(Portage version: 2.2.0_alpha116/git/Linux x86_64, unsigned Manifest commit)

---
 .../files/qt-webkit-4.8.1+glib-2.31.patch          |   30 --------------------
 x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild       |    1 -
 2 files changed, 0 insertions(+), 31 deletions(-)

diff --git a/x11-libs/qt-webkit/files/qt-webkit-4.8.1+glib-2.31.patch b/x11-libs/qt-webkit/files/qt-webkit-4.8.1+glib-2.31.patch
deleted file mode 100644
index ced3794..0000000
--- a/x11-libs/qt-webkit/files/qt-webkit-4.8.1+glib-2.31.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-diff -Naur qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h
---- qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h	2012-04-01 19:32:46.621395314 +0200
-+++ qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GOwnPtr.h	2012-04-01 19:34:23.693181749 +0200
-@@ -24,6 +24,7 @@
- 
- #if ENABLE(GLIB_SUPPORT)
- 
-+#include <glib.h>
- #include <algorithm>
- #include <wtf/Assertions.h>
- #include <wtf/Noncopyable.h>
-diff -Naur qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h
---- qt-everywhere-opensource-src-4.8.1.orig/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h	2012-04-01 19:32:46.624395278 +0200
-+++ qt-everywhere-opensource-src-4.8.1/src/3rdparty/webkit/Source/JavaScriptCore/wtf/gobject/GTypedefs.h	2012-04-01 19:34:09.420360184 +0200
-@@ -39,7 +39,6 @@
- typedef struct _GAsyncResult GAsyncResult;
- typedef struct _GCancellable GCancellable;
- typedef struct _GCharsetConverter GCharsetConverter;
--typedef struct _GCond GCond;
- typedef struct _GDir GDir;
- typedef struct _GdkAtom* GdkAtom;
- typedef struct _GdkCursor GdkCursor;
-@@ -52,7 +51,6 @@
- typedef struct _GHashTable GHashTable;
- typedef struct _GInputStream GInputStream;
- typedef struct _GList GList;
--typedef struct _GMutex GMutex;
- typedef struct _GPatternSpec GPatternSpec;
- typedef struct _GPollableOutputStream GPollableOutputStream;
- typedef struct _GSocketClient GSocketClient;

diff --git a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
index d5f8b59..0f071b3 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
@@ -34,7 +34,6 @@ DEPEND="
 RDEPEND="${DEPEND}"
 
 PATCHES=(
-	"${FILESDIR}/${PN}-4.8.1+glib-2.31.patch"
 	"${FILESDIR}/${PN}-4.8.1-no-use-ld-gold.patch"
 )
 



^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/qt:master commit in: x11-libs/qt-webkit/files/, x11-libs/qt-webkit/
@ 2012-09-11  0:45 Davide Pesavento
  0 siblings, 0 replies; 5+ messages in thread
From: Davide Pesavento @ 2012-09-11  0:45 UTC (permalink / raw
  To: gentoo-commits

commit:     aca550f76ba6bd0334d4006ac955a26ef6119a94
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Tue Sep 11 00:44:57 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Tue Sep 11 00:44:57 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=aca550f7

[x11-libs/qt-webkit:4] Add missing patch from portage.

Remaining patches are either applied upstream or no longer relevant.

(Portage version: 2.2.0_alpha125/git/Linux x86_64, unsigned Manifest commit)

---
 .../qt-webkit/files/4.8.2-javascriptcore-x32.patch |   11 +++++++++++
 x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild       |    1 +
 2 files changed, 12 insertions(+), 0 deletions(-)

diff --git a/x11-libs/qt-webkit/files/4.8.2-javascriptcore-x32.patch b/x11-libs/qt-webkit/files/4.8.2-javascriptcore-x32.patch
new file mode 100644
index 0000000..16f52d9
--- /dev/null
+++ b/x11-libs/qt-webkit/files/4.8.2-javascriptcore-x32.patch
@@ -0,0 +1,11 @@
+--- src/3rdparty/webkit/Source/JavaScriptCore/wtf/Platform.h.orig	2012-07-17 15:06:26.692276108 +0000
++++ src/3rdparty/webkit/Source/JavaScriptCore/wtf/Platform.h	2012-07-17 15:06:54.480928701 +0000
+@@ -993,7 +993,7 @@
+ #endif
+ 
+ #if !defined(WTF_USE_JSVALUE64) && !defined(WTF_USE_JSVALUE32_64)
+-#if (CPU(X86_64) && (OS(UNIX) || OS(WINDOWS))) \
++#if (CPU(X86_64) && defined(__LP64__) && (OS(UNIX) || OS(WINDOWS))) \
+     || (CPU(IA64) && !CPU(IA64_32)) \
+     || CPU(ALPHA) \
+     || CPU(SPARC64) \

diff --git a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
index 0f071b3..50d54f1 100644
--- a/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
+++ b/x11-libs/qt-webkit/qt-webkit-4.8.9999.ebuild
@@ -35,6 +35,7 @@ RDEPEND="${DEPEND}"
 
 PATCHES=(
 	"${FILESDIR}/${PN}-4.8.1-no-use-ld-gold.patch"
+	"${FILESDIR}/4.8.2-javascriptcore-x32.patch"
 )
 
 pkg_setup() {


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2012-09-11  0:46 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-04-12 17:44 [gentoo-commits] proj/qt:master commit in: x11-libs/qt-webkit/files/, x11-libs/qt-webkit/ Michael Palimaka
  -- strict thread matches above, loose matches on Subject: below --
2012-09-11  0:45 Davide Pesavento
2012-07-08 14:56 Davide Pesavento
2012-05-22 19:55 Michael Palimaka
2012-03-08 15:52 Davide Pesavento

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox